Bug 161771 - %%PG_USER%% variable is not replaced during installation of databases/postgresql91-server
%%PG_USER%% variable is not replaced during installation of databases/postgre...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
Depends on:
  Show dependency treegraph
Reported: 2011-10-18 13:10 UTC by Alexey Markov
Modified: 2011-10-20 20:45 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Markov 2011-10-18 13:10:07 UTC
After latest changes in Makefile of postgresql91-server port the
%%PG_USER%% variable is not replaced anymore in files etc/rc.d/postgresql
and etc/periodic/daily/502.pgsql, which lead to obvious problems.

How-To-Repeat: cd /usr/ports/databases/postgresql91-server
make package clean
cat /usr/local/etc/rc.d/postgresql | grep PG_USER
cat /usr/local/etc/periodic/daily/502.pgsql | grep PG_USER
Comment 1 Mark Linimon freebsd_committer 2011-10-18 16:12:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen

Fix synopsis and assign.
Comment 2 mjl 2011-10-18 22:08:06 UTC
The same occurs in the postgresql84 port.

Also, DBD-Pg doesn't seem to work since the upgrade:

[Wed Oct 19 09:58:06 2011] [error] [client] install_driver(Pg) failed: Can't load '/usr/local/lib/perl5/site_perl/5.8.9/mach/auto/DBD/
Pg/Pg.so' for module DBD::Pg: /usr/local/lib/libpq.so.5: Undefined symbol "GSS_C_NT_HOSTBASED
_SERVICE" at /usr/local/lib/perl5/5.8.9/mach/DynaLoader.pm line 226.
[Wed Oct 19 09:58:06 2011] [error] [client]  at (eval 10) line 3
[Wed Oct 19 09:58:06 2011] [error] [client] Compilation failed in require at (eval 10) line 3.
[Wed Oct 19 09:58:06 2011] [error] [client] Perhaps a required shared library or dll isn't installed where expected
[Wed Oct 19 09:58:06 2011] [error] [client]  at /home/mjl/public_html/cgi-bin/foo.pl line 146
[Wed Oct 19 09:58:06 2011] [error] [client] Premature end of script headers: foo.pl
Comment 3 dfilter freebsd_committer 2011-10-19 19:21:40 UTC
crees       2011-10-19 18:21:25 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql82-server Makefile 
    databases/postgresql83-server Makefile 
    databases/postgresql84-server Makefile 
    databases/postgresql90-server Makefile 
    databases/postgresql91-server Makefile 
  Fix SUB_LIST issue by deconditionalising it.
  Temporary fix, but will stop the flurry of incoming PRs related.
  PR:             ports/161779 ports/161774 ports/161791 ports/161771 ports/161769
  Submitted by:   Many people, original fix suggested by Jason Helfman (jhelfman@e-e.com)
  Approved by:    portmgr (pav)
  Revision  Changes    Path
  1.202     +4 -3      ports/databases/postgresql82-server/Makefile
  1.215     +4 -3      ports/databases/postgresql83-server/Makefile
  1.233     +4 -3      ports/databases/postgresql84-server/Makefile
  1.228     +4 -3      ports/databases/postgresql90-server/Makefile
  1.229     +4 -3      ports/databases/postgresql91-server/Makefile
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Chris Rees freebsd_committer 2011-10-20 20:45:33 UTC
State Changed
From-To: open->closed

Close and take-- fixed. 

Comment 5 Chris Rees freebsd_committer 2011-10-20 20:45:33 UTC
Responsible Changed
From-To: girgen->crees

Close and take-- fixed.